org.eclipse.microprofile.fault.tolerance.tck.timeout.clientserver

## Class ShorterTimeoutClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.timeout.clientserver.ShorterTimeoutClient

    @RequestScoped
     @Timeout(value=500L)
    public class ShorterTimeoutClient
    extends Object

A client to test Timeouts

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`ShorterTimeoutClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `serviceA(long timeToSleep)` serviceA uses the class scoped Fault Tolerance timeout of 0.5 seconds.
`Connection` `serviceB(long timeToSleep)` serviceB specifies a an overriding Timeout longer than the default, at 2 seconds

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShorterTimeoutClient

    public ShorterTimeoutClient()

### Method Detail

#### serviceA

    public Connection serviceA(long timeToSleep)

serviceA uses the class scoped Fault Tolerance timeout of 0.5 seconds.

Parameters:
  `timeToSleep` - How long should the execution take in millis
Returns:
  null or exception is raised

#### serviceB

    @Timeout(value=2000L)
    public Connection serviceB(long timeToSleep)

serviceB specifies a an overriding Timeout longer than the default, at 2 seconds

Parameters:
  `timeToSleep` - How long should the execution take in millis
Returns:
  null or exception is raised